List Developer Crm Task Comments
/api/v1/developer/crm/tasks/{taskId}/commentsUse the access scope below. The generated schemas specify the exact request and responses.
Access scopecrm.tasks.read
Authorization: Bearer YOUR_PROJECT_TOKEN
Parameters
taskIdrequired · pathstringminLength: 1 · maxLength: 160JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 160 }limitoptional · queryintegerminimum: 1 · maximum: 100 · default: 50JSON Schema
{ "type": "integer", "minimum": 1, "maximum": 100, "default": 50 }cursoroptional · querystringminLength: 1 · maxLength: 512JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 512 }
Request examples
curl --request GET 'https://YOUR_NOVA_HOST/api/v1/developer/crm/tasks/TASK_ID/comments?limit=50' --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'
Responses
200 Paginated CRM task comments
application/jsonobject
commentsrequired- arraymaxItems: 100
Nested schema
arraymaxItems: 100objectidrequired- stringminLength: 1 · maxLength: 160
bodyrequired- stringminLength: 1 · maxLength: 4000
createdAtrequired- stringformat: "date-time"
JSON Schema
{ "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "body": { "type": "string", "minLength": 1, "maxLength": 4000 }, "createdAt": { "type": "string", "format": "date-time" } }, "required": [ "id", "body", "createdAt" ] }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "body": { "type": "string", "minLength": 1, "maxLength": 4000 }, "createdAt": { "type": "string", "format": "date-time" } }, "required": [ "id", "body", "createdAt" ] }, "maxItems": 100 } nextCursorrequired- string | null
JSON Schema
{
"type": "object",
"properties": {
"comments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"body": {
"type": "string",
"minLength": 1,
"maxLength": 4000
},
"createdAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"body",
"createdAt"
]
},
"maxItems": 100
},
"nextCursor": {
"type": [
"string",
"null"
]
}
},
"required": [
"comments",
"nextCursor"
],
"$ref": "#/components/schemas/DeveloperCrmTaskCommentPageResponse"
}400 Invalid task-comment pagination request
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}401 Invalid developer credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}404 CRM task not found
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Developer API rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}503 Developer API rate limiter unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}